GLS ShipIT 3.5.15 GLS ShipIT - SOAP services

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.TemplateSet Enum Reference

## Public Member Functions
| TemplateSet (String v)
String | value ()

## Static Public Member Functions
static TemplateSet | fromValue (String v)

## Public Attributes
| NONE =("NONE")
| XmlEnumValue

## Detailed Description

Java class for TemplateSet.

The following schema fragment specifies the expected content contained within this class.

    <simpleType name="TemplateSet">
      <restriction base="{http://www.w3.org/2001/XMLSchema}string">
        <enumeration value="NONE"/>
        <enumeration value="D200"/>
        <enumeration value="PF4I"/>
        <enumeration value="PF4I200"/>
        <enumeration value="PF4I300"/>
        <enumeration value="PF8D200"/>
        <enumeration value="T200BF"/>
        <enumeration value="T300BF"/>
        <enumeration value="ZPL200"/>
        <enumeration value="ZPL200TRACKID_EAN128"/>
        <enumeration value="ZPL200TRACKID_CODE39"/>
        <enumeration value="ZPL200REFNO_EAN128"/>
        <enumeration value="ZPL200REFNO_CODE39"/>
        <enumeration value="ZPL300"/>
        <enumeration value="ZPL300TRACKID_EAN128"/>
        <enumeration value="ZPL300TRACKID_CODE39"/>
        <enumeration value="ZPL300REFNO_EAN128"/>
        <enumeration value="ZPL300REFNO_CODE39"/>
      </restriction>
    </simpleType>

Definition at line 41 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/TemplateSet.java.

## Constructor & Destructor Documentation

## ◆ TemplateSet()

eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.TemplateSet.TemplateSet | ( | String | v | ) |

Definition at line 80 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/TemplateSet.java.

## Member Function Documentation

## ◆ fromValue()

static TemplateSet eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.TemplateSet.fromValue | ( | String | v | ) |
| static

Definition at line 88 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/TemplateSet.java.

## ◆ value()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.TemplateSet.value | ( |  | ) |

Definition at line 84 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/TemplateSet.java.

## Member Data Documentation

## ◆ NONE

eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.TemplateSet.NONE =("NONE")

Definition at line 43 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/TemplateSet.java.

## ◆ XmlEnumValue

eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.TemplateSet.XmlEnumValue

Initial value:
=("D200")
D_200("D200")

Definition at line 44 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/TemplateSet.java.

The documentation for this enum was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/TemplateSet.java